/*******************************************************************************

NAME			$RCSfile: nicBS.c,v $
SUMMARY			Ethernet Board Stress Test
VERSION			$Revision: 1.4 $
UPDATE DATE		$Date: 2010/02/11 12:47:16 $
PROGRAMMER		$Author: jim $

		Copyright 2009 LSI Corporation. All Rights Reserved.

DESCRIPTION:

REFERENCE:

*******************************************************************************/

#include <linux/module.h>
#include <linux/kallsyms.h>

#include <commRpt.h> 
#include <commMEC.h>


void errorNicStressInit( void ) {

    commReportError(MEC_COMP_CODE_TEMP,
                        NIC_BS_ITEM,
                        NIC_BS_CODE_SOCKET,
                        NIC_BS_MSG_SOCKET,
                        0,
                        0,
                        0,
                        DG_FORMAT_NONE);
}


void errorNicStressSend( void ) {

    commReportError(MEC_COMP_CODE_TEMP,
                        NIC_BS_ITEM,
                        NIC_BS_CODE_SEND,
                        NIC_BS_MSG_SEND,
                        0,
                        0,
                        0,
                        DG_FORMAT_NONE);
}


void errorNicStressRecv( void ) {

    commReportError(MEC_COMP_CODE_TEMP,
                        NIC_BS_ITEM,
                        NIC_BS_CODE_RECEIVE,
                        NIC_BS_MSG_RECEIVE,
                        0,
                        0,
                        0,
                        DG_FORMAT_NONE);
}


void errorNicStressCompare( void ) {

    commReportError(MEC_COMP_CODE_TEMP,
                        NIC_BS_ITEM,
                        NIC_BS_CODE_COMPARE,
                        NIC_BS_MSG_COMPARE,
                        0,
                        0,
                        0,
                        DG_FORMAT_NONE);
}


MODULE_AUTHOR( "merck.hung@netapp.com" );
MODULE_DESCRIPTION( "NetApp NIC Stress Code" );
MODULE_LICENSE( "GPL" );
MODULE_VERSION( "0.1" );


