/*******************************************************************************

NAME            fpgaUartDiag.h
SUMMARY         header file for Zebulon FPGA UART function diagnostics
VERSION         %version: 1 %
UPDATE DATE     %date_modified: May 5 14:20 2009 %
PROGRAMMER      %created_by:    Jim Tu %

        Copyright 2009 Quanta Corporation. All Rights Reserved.

DESCRIPTION:
        This file has code to test UART function of Zebulon FPGA

NOTES:

REFERENCE:

*******************************************************************************/

#ifndef __FPGA_UART_DIAG_H__
#define __FPGA_UART_DIAG_H__

#define	FPGA_CPU_UART_16C550C 	0x00
#define	FPGA_BOBCAT_UART 		0x01
#define	FPGA_BOBCAT_SER_DBG 	0x02
#define	FPGA_FALCON_UART 		0x03
#define	FPGA_HIC_UART 			0x04

VOID 	fpagUartSelect(UINT8 uartSourceSelect);
INT32 	fpgaUartDiag(VOID);

#endif	//__FPGA_UART_DIAG_H__