#include "BBUModule.hpp"



BBUModule::BBUModule(string className) : ModuleBaseClass(className)
{
    //Add NEW command, new Command(command name, HELP message)
    addCommand(new BBUCommand(CMD_LIST, "List supported BBU"));
    addCommand(new BBUCommand(CMD_SHOW, "Show BBU information"));
    addCommand(new BBUCommand(CMD_UTILITY, "Read or write data form BBU device"));
    addCommand(new BBUCommand(CMD_CHARGE, "Switch BBU charge or discharge"));
}



BBUModule::~BBUModule()
{

}
