/*******************************************************************************

NAME			$RCSfile: commSCSI.h,v $
SUMMARY			Report mechanism for PikesPeak
VERSION			$Revision: 1.1 $
UPDATE DATE		$Date: 2009/07/14 05:50:48 $
PROGRAMMER		$Author: lecter $

		Copyright 2009 LSI Corporation. All Rights Reserved.

DESCRIPTION:
    Define the functions used to report diagnostics status

REFERENCE:

*******************************************************************************/
#ifndef __INCcommSCSI
#define __INCcommSCSI

/***  INCLUDES  ***/
#include <commTypes.h>

/***  TYPE DEFINATIONS  ***/

/***  EXTERNAL REFERENCES  ***/
PUBLIC INT32 scsiWrite(struct scsi_device *pSCSIDev, UINT32 startLBA, UINT32 length, VOID* pBuffer);
PUBLIC INT32 scsiRead(struct scsi_device *pSCSIDev, UINT32 startLBA, UINT32 length, VOID* pBuffer);
PUBLIC INT32 scsiReadCapacity(struct scsi_device* pSCSIDev, VOID* pBuffer);
#endif //__INCcommSCSI
