#ifndef __memsize
#define __memsize
#define		 MB	(1<<20)
#define          MEM_RAM_IOREMAP_MAX_SIZE                                (64 * MB)
#define		MEM_JF_CORE_REG_TOHMH_START			0x100000000

typedef struct MemDiagCmd
{
        int forward;
        u64 write_pattern;
        u64 verify_pattern;
	int error_item;
	int error_code;
        int dma;
} mdc;

mdc init_MemDiagCmd(void);
void errorReport(mdc, char *msg);

u64 memGetMemConfig(void);
void memSetDiagStartAddr(u64 start_addr);
int mem_region(mdc cmd, u64 testAddr, u64 testSize);
#endif
