#ifndef Temperature_SATA_H
#define Temperature_SATA_H

#include "TemperatureGeneric.hpp"
#include <fcntl.h>
#include <unistd.h>
#include <sys/mman.h>




class Temperature_SATA : public TemperatureGeneric
{
    public:
                       Temperature_SATA(STRING  ClassName);
                       ~Temperature_SATA();

                       ErrorMsg*  getTemperatureNameList(list<string> *pTemperatureList);

                       ErrorMsg*  getDataByName(STRING WellKnownName,
                                                TEMPERATURE_DATA_ELEMENT TemperatureDataElement,
                                                list<string> *returnDataInfo);


/*
             ErrorMsg* Setup_resource_path(string path, int id_index);

     virtual string Get_name();
     virtual ErrorMsg* Get_current_temperature(float *temp);
     virtual ErrorMsg* Get_threshold_hight(float *temp);
     virtual ErrorMsg* Get_threshold_low(float *temp);
     //virtual ErrorMsg* Set_name(string name);
     virtual ErrorMsg* Set_threshold_hight(float temp);
     virtual ErrorMsg* Set_threshold_low(float temp);
*/
    protected:

    private:
            SATADDAPI   *m_SATADdapi;

            ErrorMsg*   getCurrentTemperatureList(STRING WellKnownName,
                                                  list<string> *returnDataInfo);
            ErrorMsg*   getThresholdHigh0List(STRING WellKnownName, list<string> *pTemperatureList);
            ErrorMsg*   getThresholdLow0List(STRING WellKnownName, list<string> *pTemperatureList);
            ErrorMsg*   getThresholdHigh1List(STRING WellKnownName, list<string> *pTemperatureList);
            ErrorMsg*   getThresholdLow1List(STRING WellKnownName, list<string> *pTemperatureList);
            //string resource_path;
            //int    index;
};

#endif
